summaryrefslogtreecommitdiffstats
path: root/scripts/trex-cfg
diff options
context:
space:
mode:
authorHanoh Haim <hhaim@cisco.com>2016-01-30 19:31:26 +0200
committerHanoh Haim <hhaim@cisco.com>2016-01-30 19:31:26 +0200
commit3eb4112dafd4ff78ad59cc78f7a4a00fd639e56a (patch)
tree230f3ac8109eed854d90aa61ab9c3bc2cf827468 /scripts/trex-cfg
parent47ebcfaaf581dd373c91514239149b9ba4281c43 (diff)
check for 64bit OS
Diffstat (limited to 'scripts/trex-cfg')
-rwxr-xr-xscripts/trex-cfg7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/trex-cfg b/scripts/trex-cfg
index 2aebf026..7a533b1f 100755
--- a/scripts/trex-cfg
+++ b/scripts/trex-cfg
@@ -9,6 +9,13 @@ else
OS=unknown
fi
+MACHINE_TYPE=`uname -m`
+if [ ${MACHINE_TYPE} != 'x86_64' ]; then
+ echo "ERROR, only 64bit OS are supported, please reinstall x86 64 bit OS"
+ exit 1
+fi
+
+
if [ -d /mnt/huge ]; then
echo >> /dev/null